import * as Knex from 'knex';
/**
 *
 * @date 2021-05-27 09:48:32
 * @author 吴锋霖
 */
declare class KnexFactory {
    private knex;
    host: string;
    port: number;
    poolMax: string;
    poolMin: string;
    database: string;
    username: string;
    password: string;
    init(scheam?: string): Promise<void>;
    get(): Knex;
}
export { KnexFactory, Knex };
